Index: Mk/bsd.port.mk
===================================================================
RCS file: /import/FreeBSD-CVS/ports/Mk/bsd.port.mk,v
retrieving revision 1.678
diff -u -p -u -r1.678 bsd.port.mk
--- Mk/bsd.port.mk	11 Apr 2011 08:34:14 -0000	1.678
+++ Mk/bsd.port.mk	18 Apr 2011 11:09:07 -0000
@@ -2308,7 +2308,11 @@ BUILD_FAIL_MESSAGE+=	"You have chosen to
 .endif
 
 PTHREAD_CFLAGS?=
+.if ${CC} == "icc"
+PTHREAD_LIBS?=		-mt
+.else
 PTHREAD_LIBS?=		-pthread
+.endif
 
 .if exists(/usr/bin/fetch)
 FETCH_BINARY?=	/usr/bin/fetch
@@ -3001,8 +3005,59 @@ PKGBASE?=			${PKGNAMEPREFIX}${PORTNAME}$
 LATEST_LINK?=		${PKGBASE}
 PKGLATESTFILE=		${PKGLATESTREPOSITORY}/${LATEST_LINK}${PKG_SUFX}
 
+.if !defined(CONFIGURE_ARCH) && defined(CPUTYPE)
+. if ${ARCH} == "i386"
+.  if ${CPUTYPE} == "nocona" || \
+	${CPUTYPE} == "p4" || \
+	${CPUTYPE} == "p4m" || \
+	${CPUTYPE} == "p3" || \
+	${CPUTYPE} == "p3m" || \
+	${CPUTYPE} == "p-m" || \
+	${CPUTYPE} == "p2" || \
+	${CPUTYPE} == "i686" || \
+	${CPUTYPE} == "opteron" || \
+	${CPUTYPE} == "athlon64" || \
+	${CPUTYPE} == "athlon-fx" || \
+	${CPUTYPE} == "athlon-xp" || \
+	${CPUTYPE} == "athlon-mp" || \
+	${CPUTYPE} == "athlon" || \
+	${CPUTYPE} == "crusoe" || \
+	${CPUTYPE} == "athlon-4" || \
+	${CPUTYPE} == "athlon-tbird" || \
+	${CPUTYPE} == "pentium4" || \
+	${CPUTYPE} == "pentium4m" || \
+	${CPUTYPE} == "pentium3" || \
+	${CPUTYPE} == "pentium3m" || \
+	${CPUTYPE} == "pentium-m" || \
+	${CPUTYPE} == "pentium2" || \
+	${CPUTYPE} == "pentium2m" || \
+	${CPUTYPE} == "pentiumpro" || \
+	${CPUTYPE} == "prescott" || \
+	${CPUTYPE} == "k8" || \
+	${CPUTYPE} == "k7"
+CONFIGURE_ARCH=	i686
+.  elif ${CPUTYPE} == "i586" || \
+	${CPUTYPE} == "i586/mmx" || \
+	${CPUTYPE} == "pentium-mmx" || \
+	${CPUTYPE} == "pentium" || \
+	${CPUTYPE} == "k6" || \
+	${CPUTYPE} == "k6-2" || \
+	${CPUTYPE} == "k6-3" || \
+	${CPUTYPE} == "k5"
+CONFIGURE_ARCH=	i586
+.  else
+CONFIGURE_ARCH=	i486
+.  endif
+. elif ${ARCH} == "amd64"
+CONFIGURE_ARCH=	x86_64
+. endif
+.endif
+.if !defined(CONFIGURE_ARCH) || empty(CONFIGURE_ARCH)
+CONFIGURE_ARCH=		${ARCH}
+.endif
+
 CONFIGURE_SCRIPT?=	configure
-CONFIGURE_TARGET?=	${ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_TARGET?=	${CONFIGURE_ARCH}-portbld-freebsd${OSREL}
 CONFIGURE_TARGET:=	${CONFIGURE_TARGET:S/--build=//}
 CONFIGURE_LOG?=		config.log
 
@@ -5899,9 +5954,9 @@ add-plist-info:
 .for i in ${INFO}
 	install-info --quiet ${PREFIX}/${INFO_PATH}/$i.info ${PREFIX}/${INFO_PATH}/dir
 	@${ECHO_CMD} "@unexec install-info --quiet --delete %D/${INFO_PATH}/$i.info %D/${INFO_PATH}/dir" \
-		>> ${TMPPLIST}
-	@${LS} ${PREFIX}/${INFO_PATH}/$i.info* | ${SED} -e s:${PREFIX}/::g >> ${TMPPLIST}
-	@${ECHO_CMD} "@exec install-info --quiet %D/${INFO_PATH}/$i.info %D/${INFO_PATH}/dir" \
+		>> ${TMPPLIST}; \
+	${LS} ${PREFIX}/${INFO_PATH}/$i.info* | ${SED} -e s:${PREFIX}/::g >> ${TMPPLIST}; \
+	${ECHO_CMD} "@exec install-info --quiet %D/${INFO_PATH}/$i.info %D/${INFO_PATH}/dir" \
 		>> ${TMPPLIST}
 .endfor
 .if defined(INFO_SUBDIR)
